(define-module (my-module thor)
  #:use-module (guix packages)
  #:use-module (guix download)
  #:use-module (guix git-download)
  #:use-module (guix build-system dotnet)
  #:use-module (gnu packages dotnet))

(define-public thor
  (package
    (name "thor")
    (version "1.0.0")
    (source
     (origin
      (method git-fetch)
      (uri (git-reference
            (url "https://github.com/Samsung-Loki/Thor")
            (commit version)))
      (file-name (git-file-name name version))
      (sha256
       (base32
        "0an8gqc4i4y993bz5wa65y49dd4a9dkj41jl5xd99c56s3yspi9h"))))
    (build-system dotnet-build-system)
    (arguments
     `(#:phases
       (modify-phases %standard-phases
         (replace 'build
          (lambda _
            (invoke "dotnet" "build" "-c" "Release" "--no-self-contained")))))) ; adjust accordingly
    (inputs
     `(("dotnet-sdk" ,dotnet-sdk-3.1) ))
    (home-page "")
    (synopsis "")
    (description "")
    (license license:expat))) ; adjust accordingly
